Last Comment Bug 661906 - Random Orange TEST-UNEXPECTED-FAIL | (runtestlist..py) | Exited with code 1 during test_order_of_address_books
: Random Orange TEST-UNEXPECTED-FAIL | (runtestlist..py) | Exited with code 1 d...
Status: RESOLVED FIXED
[The double dot in "runtestlist..py" ...
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 7.0
Assigned To: Mike Conley (:mconley) - (Away until June 29th)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-03 12:04 PDT by Mike Conley (:mconley) - (Away until June 29th)
Modified: 2013-06-17 02:54 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch v1 (1002 bytes, patch)
2011-06-06 13:55 PDT, Mike Conley (:mconley) - (Away until June 29th)
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Mike Conley (:mconley) - (Away until June 29th) 2011-06-03 12:04:05 PDT
I've been seeing this periodically on the various Tinderboxen:

mozmill.startRunner :: True
mozmill.setState :: 'currentState'
mozmill.setModule :: 'currentModule'
mozmill.setState :: 'currentState'
mozmill.setTest :: {'name': 'setupModule', 'filename': '/buildbot/comm-central-linux64-opt-unittest-mozmill/build/mozmill/addrbook/test-address-book.js'}
mozmill.setState :: 'currentState'
mozmill.setTest :: {'name': 'test_order_of_address_books', 'filename': '/buildbot/comm-central-linux64-opt-unittest-mozmill/build/mozmill/addrbook/test-address-book.js'}
error: uncaptured python exception, closing channel <jsbridge.network.BackChannel connected 127.0.0.1:24242 at 0x20e60e0> (<type 'exceptions.KeyError'>:'message' [/tools/python/lib/python2.5/asyncore.py|readwrite|93] [/tools/python/lib/python2.5/asyncore.py|handle_read_event|390] [/tools/python/lib/python2.5/site-packages/jsbridge/network.py|handle_read|93] [/tools/python/lib/python2.5/site-packages/jsbridge/network.py|process_read|253] [/tools/python/lib/python2.5/site-packages/jsbridge/network.py|fire_callbacks|268] [/tools/python/lib/python2.5/site-packages/jsbridge/network.py|fire_event|289] [/tools/python/lib/python2.5/site-packages/mozmill/__init__.py|__call__|104] [runtest.py|logFailure|364])
endRunner was never called. There must have been a failure in the framework.
##### MOZMILL-RICH-FAILURES-BEGIN #####
##### MOZMILL-RICH-FAILURES-END #####
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
INFO | (runtestlist.py) | addrbook: 0 passed, 0 failed

I have a feeling this is due to periodic cases where we attempt to test the order of address books before the address book entries have appeared in the tree view.
Comment 1 Mike Conley (:mconley) - (Away until June 29th) 2011-06-06 13:55:25 PDT
Created attachment 537636 [details] [diff] [review]
Patch v1

I think the orange was from a race condition, where sometimes the address book tree elements weren't properly loaded on time.  I've added a waitForEval to poll the address book tree until it's ready.
Comment 2 Mike Conley (:mconley) - (Away until June 29th) 2011-06-06 13:56:53 PDT
My TryServer tests didn't show any sign of this orange, so that's a good sign.

Also, please ignore the cruft at the top of my patch - that's some leftover pbranch business that I forgot to chop off.
Comment 3 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2011-06-08 16:36:53 PDT
Committed as http://hg.mozilla.org/comm-central/rev/e112386d59da
Comment 4 Mark Banner (:standard8) 2011-06-20 01:53:45 PDT
Comment on attachment 537636 [details] [diff] [review]
Patch v1

Taking this for aurora, as we also see some of these failures there.
Comment 5 Mark Banner (:standard8) 2011-06-20 01:54:21 PDT
Checked in: http://hg.mozilla.org/releases/comm-aurora/rev/71f7414a8520
Comment 6 Justin Wood (:Callek) 2012-02-13 06:11:49 PST
Just reappeared on trunk
Comment 7 Mark Banner (:standard8) 2012-02-13 06:41:29 PST
(In reply to Justin Wood (:Callek) from comment #6)
> Just reappeared on trunk

That's not this bug - this bug explicitly states during "test_order_of_address_books".
Comment 8 Treeherder Robot 2013-06-13 03:46:16 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=24063037&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-06-12 10:01:47
revision: 188ea3049daf
slave: talos-r3-fed64-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/composition/test-attachment-reminder.js | test-attachment-reminder.js::test_attachment_reminder_appears_properly
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/composition/test-attachment-reminder.js | test-attachment-reminder.js::test_attachment_reminder_dismissal
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/composition/test-attachment-reminder.js | test-attachment-reminder.js::test_attachment_reminder_aggressive_pref
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/composition/test-attachment-reminder.js | test-attachment-reminder.js::test_no_send_now_sends
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-blocked.js | test-plugin-blocked.js::test_blocklisted_plugin_notification
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
OSError: [Errno 2] No such file or directory
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 9 :aceman 2013-06-17 02:49:33 PDT
Trying to remove "(runtestlist.py)" from the summary so that this bug in not offered at each generic test message of "TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run" .
Comment 10 :aceman 2013-06-17 02:54:24 PDT
Or let it have a typo so that it is not matchable :) I'll see if that works.

Note You need to log in before you can comment on or make changes to this bug.